<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2015, Ebenezer Obasi
 * All rights reserved.
 * info@eobai.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

$config = OW::getConfig();
$gr = OW::getRouter();

$gr->addRoute(new OW_Route('smwidgets_admin_facebook', 'admin/plugins/smwidgets/facebook', 'SMWIDGETS_CTRL_Admin', 'facebook'));

$gr->addRoute(new OW_Route('smwidgets_admin_settings', 'admin/plugins/smwidgets/settings', 'SMWIDGETS_CTRL_Admin', 'settings'));

$gr->addRoute(new OW_Route('smwidgets_admin_twitter', 'admin/plugins/smwidgets/twitter', 'SMWIDGETS_CTRL_Admin', 'twitter'));

$gr->addRoute(new OW_Route('smwidgets_admin_google', 'admin/plugins/smwidgets/google', 'SMWIDGETS_CTRL_Admin', 'google'));

$fb = SMWIDGETS_BOL_Service::getInstance()->getFieldValue('smwidgets_facebook_id', OW::getUser()->getId());
$tw = SMWIDGETS_BOL_Service::getInstance()->getFieldValue('smwidgets_twitter_id', OW::getUser()->getId());
$google = SMWIDGETS_BOL_Service::getInstance()->getFieldValue('smwidgets_google_id', OW::getUser()->getId());

function renderFloatingSmwidgetForm( BASE_CLASS_EventCollector $event ){
	
	$cmp = new SMWIDGETS_CMP_Questions();
	$event->add($cmp->render());
	
}

if(empty($fb) || empty($tw) || empty($google)){
	OW::getEventManager()->bind('base.add_page_bottom_content', 'renderFloatingSmwidgetForm');
}
