<?php

	/**
	* This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
	* For more information see License.txt in the plugin folder.

	* ---
	* Copyright (c) 2015, Ebenezer Obasi
	* All rights reserved.

	* Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

	* This plugin should be bought from the developer by paying money to PayPal account (info@eobasi.com).

	* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
	* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
	* PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
	* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
	* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
	* AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
	* ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
	*/
	 
	function removeQuestionIdByName($name) {
	 
		$question = new BOL_Question();

		$question->name = $name;

		$query = OW::getDbo()->queryForList("SELECT id FROM ".BOL_QuestionDao::getInstance()->getTableName()." WHERE name='".OW::getDbo()->escapeString($name)."';");
		foreach($query as $data){
			if(BOL_QuestionService::getInstance()->deleteQuestion(array((int) $data['id']))){
				
				BOL_QuestionService::getInstance()->deleteQuestionToAccountTypeByQuestionName($question->name);
				
			}
		}
		return;
	}
	removeQuestionIdByName('smwidgets_google_id');
	removeQuestionIdByName('smwidgets_twitter_id');
	removeQuestionIdByName('smwidgets_facebook_id');

